package com.dxhy.customs.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import lombok.Data;

/**
 * @author dxhy
 */
@Data
public class CommonEntity implements Serializable {
    @TableField(exist = false)
    private Long curr;
    @TableField(exist = false)
    private Long size;
    @TableField(exist = false)
    private Long page;
    @TableField(exist = false)
    private String dbName;
    @TableField(exist = false)
    private String index;
    private String menuId;
    private String company;

    public void setPage(Page<?> page) {
        page.setCurrent(this.curr);
        page.setSize(this.size);

    }

    public boolean isAll(String str) {
        return ("99".equals(str) || "全部".equals(str));
    }

}
